org.apache.ignite.internal.util

## Class GridDebug.Item

- java.lang.Object
- - org.apache.ignite.internal.util.GridDebug.Item

Enclosing class:
  GridDebug

    public static class GridDebug.Item
    extends Object

Debug info queue item.

### Field Summary

Fields
`Object[]` `data`
`long` `threadId`
`String` `threadName`
`long` `ts`

### Constructor Summary

Constructors
Constructor and Description
`Item(Object[] data)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ts

    public final long ts

#### threadName

    public final String threadName

#### threadId

    public final long threadId

#### data

    public final Object[] data

### Constructor Detail

#### Item

    public Item(Object[] data)

Constructor.

Parameters:
  `data` - Debugging data.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022